
Redmine - Defect #7489

Issue's journal max string length 

2011-01-29 15:20 - Hisafumi Kamezono

Status: Closed Start date: 2011-01-29

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution: Fixed Affected version:  

Description

In Ruby 1.8, a String is always just a collection of bytes.

in, app/models/journal_detail.rb

value[0..254]

does not trim 255 character.

I changed those like this.

value[/.{0,254}/m]

Is it suitable?

My Ruby version : 1.8.6

My redmine version : 1.1.0

My database version : MySQL 5.0

History

#1 - 2011-04-20 18:08 - Etienne Massip

- Target version set to Candidate for next minor release

#2 - 2011-04-29 14:23 - Jean-Philippe Lang

- Subject changed from issue's journal max string length to Issue's journal max string length 

- Status changed from New to Closed

- Target version deleted (Candidate for next minor release)

- Resolution set to Fixed

Obsoleted by r4954. Journal values are no longer truncated.
